﻿@using BenhVien.MODEL
@using BenhVien.UI.Models
@model ChiTietNhapVien
@{
    var giuong = (List<Giuong>)ViewBag.Giuong;
    var chiTiet = (List<ChiTietGiuongBenh>)ViewBag.ChiTiet;
}

<div class="modal-dialog" style="width:1250px; align-content:center">
    <div class="modal-content">
        <div class="modal-header">
            <button type="button" class="close" data-dismiss="modal">&times;</button>
            <h4 class="modal-title">Cấp giường bệnh nhân</h4>
        </div>
        <form class="fv-form fv-form-bootstrap" id="frm-capnhat1">
            <div class="modal-body">
                <input type="hidden" id="ChiTietNhapVienID" name="ChiTietNhapVienID" value="@(Model != null? Model.Id.ToString():"")">
                
                <div class="col-md-12 col-sm-12 col-xs-12 clearfix">
                    <div class="form-group col-md-12 col-sm-12 col-xs-12">
                        <label class="control-label" for="first-name"> Danh sách giường bệnh : </label>
                    </div>
                </div>
                <div class="panel-body">
                    <div class="col-md-3">
                        <input type="button" class="form-control btnPlusContent" value="+" style="border-radius: 36px;width: 36px;float: left;" onclick="plusContent(this)" />
                        <label style="padding: 8px 0px 0px 5px;">Giường</label>
                    </div>
                    <div class="col-md-offset-3 pnlContent">
                        @foreach (var item in chiTiet)
                        {
                            <div class="form-group">
                                <div class="col-md-6 col-sm-6 col-xs-12">
                                    <label class="control-label" for="first-name">Chọn giường bệnh </label>
                                    <select class="ctr-select" data-live-search="true" name="GiuongID" >
                                        @foreach (var d in giuong)
                                        {
                                            if (item.GiuongID == d.Id)
                                            {
                                                <option value="@d.Id" selected>@d.Ten</option>
                                            }
                                            else
                                            {
                                                <option value="@d.Id">@d.Ten</option>
                                            }

                                        }

                                    </select>
                                </div>
                                <div class="col-md-6 col-sm-6 col-xs-12">
                                    <label class="control-label" for="first-name">Ngày bắt đầu</label>
                                    <div>
                                        <input type="text" class="form-control" id="NgayBatDau" name="NgayBatDau" value="@(item.NgayBatDau.Value.ToString("dd/MM/yyyy"))" autocomplete="off" )>
                                    </div>
                                </div>
                                @*<div class="col-md-3 col-sm-3 col-xs-12">
                                    <label class="control-label" for="first-name">Ngày kết thúc</label>
                                    <div>
                                        <input type="text" class="form-control" id="NgayKetThuc" name="NgayKetThuc" value="@(item.NgayKetThuc.Value.ToString("dd/MM/yyyy"))" autocomplete="off" )>
                                    </div>
                                </div>*@
                                @*<div class="col-md-2 col-sm-2 col-xs-12">
                                    <input type="button" class="form-control btnMinusContent" value="-" style="border-radius: 36px;width: 36px;" onclick="minusContent(this)" />
                                </div>*@
                            </div>
                        }

                    </div>
                </div>



            </div>
            <div class="clearfix"></div>
            <div class="modal-footer">
                <button id="btn-save2" type="button" onclick="SaveGiuongBenh()" class="btn btn-success">Lưu</button>
                <button type="button" class="btn btn-primary" data-dismiss="modal">Thoát</button>
            </div>
        </form>
    </div>
</div>
<script>
    $(document).ready(function () {
        $(".ctr-select").selectpicker({
            width: '100%',
            showTick: true,
        });
    });
    function plusContent(e) {
        var t = $($(e).parents('.panel-body')[0]).find('.pnlContent')[0];
        var c =
`<div class="form-group">
	 <div class ="col-md-6 col-sm-6 col-xs-12">
       <label class ="control-label" for="first-name">Chọn giường bệnh </label>
		<select class ="ctr-select" data-live-search="true" name="GiuongID">`
                                + '@Html.Raw(ViewBag.cbxGiuong)' + `
            </select>
	</div>
<div class="col-md-4 col-sm-4 col-xs-12">
                                    <label class="control-label" for="first-name">Ngày bắt đầu</label>
                                    <div>
                                        <input type="text" class ="form-control" id="NgayBatDau" name="NgayBatDau"  autocomplete="off") >
                                    </div>
                                </div>
                              
	 <div class ="col-md-2 col-sm-2 col-xs-12">
      <label class ="control-label" for="first-name"></label>
		<input type="button" class="form-control btnMinusContent" value="-" style="border-radius: 36px;width: 36px;" onclick="minusContent(this)" />
	</div>
</div>`;
        $(t).append(c);
        $(".ctr-select").selectpicker({
            width: '100%',
            showTick: true,
        });
        $('[name=NgayBatDau]').datetimepicker({ format: 'DD/MM/YYYY' });
        //$('[name=NgayKetThuc]').datetimepicker({
        //    format: 'DD/MM/YYYY',
        //});
        //$("[name=NgayBatDau]").on("dp.change", function (e) {
        //    $('[name=NgayKetThuc]').data("DateTimePicker").minDate(e.date);
        //});
        //$("[name=NgayKetThuc]").on("dp.change", function (e) {
        //    $('[name=NgayBatDau]').data("DateTimePicker").maxDate(e.date);
        //});
    }
    function minusContent(e) {
        $(e).parents('.form-group')[0].remove();
    }
    function minusGroup(e) {
        $(e).parents('.pnlGroup')[0].remove();
    }
    function collapseContent(e) {
        $(e).children().toggleClass("glyphicon-chevron-up").toggleClass("glyphicon-chevron-down");
        $($(e).parents('.pnlGroup')[0]).find("div.panel-body").toggle();
    }
</script>
<script>
    $(document).ready(function () {
        $(".ctr-select").selectpicker({
            width: '100%',
            showTick: true,
        });
    })
</script>
<script>
    
    function SaveGiuongBenh() {
        debugger;
        var arr = [];
        var length = $('[name=GiuongID]').length;
        for (var i = 0; i < length; i++) {
            var obj = {
                GiuongID: $('[name=GiuongID]')[i].value,
                NgayBatDau: $('[name=NgayBatDau]')[i].value.split('/').reverse().join('-'),
                //NgayKetThuc: $('[name=NgayKetThuc]')[i].value.split('/').reverse().join('-')
            }
            arr.push(obj);
        }
        var params = {
            Id: $('#Id').val(),
            NhapVienID: $('#NhapVienID').val(),
            KhoaID: $('#KhoaID').val(),
            PhongID: $('#PhongID').val(),

            BacSiID: $('#BacSiID').val(),
            YTaID: $('#YTaID').val(),
            ChuanDoanTuKhoaTruoc: $('#ChuanDoanTuKhoaTruoc').val(),
            ChuanDoanTamThoi: $('#ChuanDoanTamThoi').val(),
            BenhID: $('#BenhID').val(),
            TrangThaiID: $('#TrangThaiID').val(),
            list :arr
        }
        $.ajax({
            url: '@Url.Action("GetGiuongByPhong", "NhapVien", new { area = "QuanTri" })',
            type: 'POST',
            data: params,
            success: function (data) {
                if (data.kq == "ok") {
                    donThuocID = data.data;
                    alertify.success(data.msg);
                    $('#modal-qltaikhoan').modal('hide');
                    location.reload();
                    @*window.location.href = '@Url.Action("MainPage", "KhamBenh", new { area= "QuanTri" })';*@
                    }
                else {
                    alertify.error(data.msg);
                    document.getElementById("btn-save1").disabled = false;
                    $("#btn-save1").removeClass("disabled");
                }
            }
        });
    }

</script>






